package com.ltgk.boat.service;

import com.ltgk.boat.domain.dto.GetBoatCredentialOverDueListReq;
import com.ltgk.boat.domain.dto.GetBoatEnterOutReq;
import com.ltgk.boat.domain.dto.GetBoatGoSeaReq;
import com.ltgk.boat.domain.dto.GetBoatInsuranceOverDueListReq;
import com.ltgk.boat.domain.vo.*;
import com.ltgk.common.core.domain.AjaxResult;

import java.util.List;

/**
 * @Author: w1826
 * @Description: 大屏一张图 渔船统计
 * @Date: 2025/2/5 9:25
 * @Version: 1.0
 */
public interface BoatStatisticsService {
    AjaxResult getBoatStatistics();

    List<BoatGoSeaVo> getBoatGoSea(GetBoatGoSeaReq getBoatGoSeaReq);

    List<BoatInsuranceOverDueVo> getBoatInsuranceOverDueList(GetBoatInsuranceOverDueListReq getBoatInsuranceOverDueListReq);

    List<BoatCredentialOverDueVo> getBoatCredentialOverDueList(GetBoatCredentialOverDueListReq getBoatCredentialOverDueListReq);

    List<GetBoatEnterOutVo> getBoatEnterOut(GetBoatEnterOutReq getBoatEnterOutReq);

    /**
     * 渔船证书统计
     *
     * @return com.ltgk.common.core.domain.AjaxResult
     * @author Qi ChengBin
     * @date 2025/3/25
     */
    BoatCertificateAndInsuranceStatisticsVO getBoatCertificateAndInsuranceStatistics();
}
